<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.configuration2.beanutils.BeanDeclaration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.configuration2.beanutils.BeanDeclaration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/beanutils/class-use/BeanDeclaration.html" target="_top">Frames</a></li>
<li><a href="BeanDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.configuration2.beanutils.BeanDeclaration" class="title">Uses of Interface<br>org.apache.commons.configuration2.beanutils.BeanDeclaration</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.beanutils">org.apache.commons.configuration2.beanutils</a></td>
<td class="colLast">
<div class="block">
 In this package a <code>Configuration</code> implementation can be found that
 implements the <code>DynaBean</code> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.beanutils">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a> in <a href="../../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> that implement <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/CombinedBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">CombinedBeanDeclaration</a></span></code>
<div class="block">
 A special implementation of the <code>BeanDeclaration</code> interface which
 allows combining multiple <code>BeanDeclaration</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></span></code>
<div class="block">
 An implementation of the <code>BeanDeclaration</code> interface that is
 suitable for XML configuration files.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> that return <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorArg.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html#getBeanDeclaration--">getBeanDeclaration</a></span>()</code>
<div class="block">Returns the <code>BeanDeclaration</code> referenced by this constructor
 argument.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BeanCreationContext.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#getBeanDeclaration--">getBeanDeclaration</a></span>()</code>
<div class="block">Returns the <code>BeanDeclaration</code> with the data for the new bean.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">BeanHelper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html#createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-">createBean</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Returns a bean instance for the specified declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">BeanCreationContext.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-">createBean</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Creates a bean based on the given <code>BeanDeclaration</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">BeanHelper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html#createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-java.lang.Class-">createBean</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;defaultClass)</code>
<div class="block">Returns a bean instance for the specified declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">BeanHelper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html#createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-java.lang.Class-java.lang.Object-">createBean</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;defaultClass,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;param)</code>
<div class="block">The main method for creating and initializing beans from a configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static &lt;T&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Constructor.html?is-external=true" title="class or interface in java.lang.reflect">Constructor</a>&lt;T&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DefaultBeanFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/DefaultBeanFactory.html#findMatchingConstructor-java.lang.Class-org.apache.commons.configuration2.beanutils.BeanDeclaration-">findMatchingConstructor</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;beanClass,
                       <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Evaluates constructor arguments in the specified <code>BeanDeclaration</code>
 and tries to find a unique matching constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html" title="class in org.apache.commons.configuration2.beanutils">ConstructorArg</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorArg.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html#forBeanDeclaration-org.apache.commons.configuration2.beanutils.BeanDeclaration-">forBeanDeclaration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;decl)</code>
<div class="block">Creates a new instance of <code>ConstructorArg</code> for the specified
 <code>BeanDeclaration</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html" title="class in org.apache.commons.configuration2.beanutils">ConstructorArg</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorArg.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html#forBeanDeclaration-org.apache.commons.configuration2.beanutils.BeanDeclaration-java.lang.String-">forBeanDeclaration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;decl,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;typeName)</code>
<div class="block">Creates a new instance of <code>ConstructorArg</code> for the specified
 <code>BeanDeclaration</code> and sets the type name explicitly.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BeanHelper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html#initBean-java.lang.Object-org.apache.commons.configuration2.beanutils.BeanDeclaration-">initBean</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;bean,
        <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Initializes the passed in bean.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BeanCreationContext.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#initBean-java.lang.Object-org.apache.commons.configuration2.beanutils.BeanDeclaration-">initBean</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;bean,
        <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Initializes a bean's property based on the given <code>BeanDeclaration</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">BeanHelper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html#initBeanProperties-java.lang.Object-org.apache.commons.configuration2.beanutils.BeanDeclaration-">initBeanProperties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;bean,
                  <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Initializes the beans properties.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/beanutils/CombinedBeanDeclaration.html#CombinedBeanDeclaration-org.apache.commons.configuration2.beanutils.BeanDeclaration...-">CombinedBeanDeclaration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>...&nbsp;decl)</code>
<div class="block">Creates a new instance of <code>CombinedBeanDeclaration</code> and initializes
 it with the given child declarations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> that return <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--">getResultDeclaration</a></span>()</code>
<div class="block">Returns the <code>BeanDeclaration</code> that is used to create and initialize
 result objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that implement <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a></span></code>
<div class="block">
 A specialized <code>BeanDeclaration</code> implementation that represents the
 declaration of a configuration source.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that return <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/beanutils/class-use/BeanDeclaration.html" target="_top">Frames</a></li>
<li><a href="BeanDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
